Subject: Re: Recognizing mailing-list messages

From: [email-masked] (Kai Henningsen)
Date: 24 Aug 1999 09:22:00 +0200

[email-masked] (Jacob Palme)  wrote on 24.06.99 in <v04020a1eb3980ae492fe@[130.237.150.138]>:

> DJB: It doesn't work with sublists.
>
> JP: It does, if the check is done on the SMTP sender, and
> if the sublist gives write permission to the SMTP sender of
> the superlist.

How does that allow posting (to the superlist) for sublist members?

> DJB: It doesn't work with external digests.
>
> JP: Why not? Just make the digest producer a member of the list.

Loops, loops, loops.

> DJB: It doesn't work with discussions that deliberately
> include contributors who aren't on the list.
>
> JP: Contributors from non-members have to be approved by
> the moderator. If this is done, it will work, because the
> moderator will be the SMTP sender of the submission to the
> list.

Most of those lists don't *have* a moderator. (A list owner, yes, but not  
someone who approves messages.)

> JP: With LISTSERV, you can register people as members of a
> list, but which do not get submissions sent to them. Thus,
> a person with multiple addresses can register all his/her
> addresses as members of the list, but let the list
> distribute to only one of the addresses.

Unfortunately, this is still uncommon. That is, the feature may exist in  
the software, but the list owner doesn't enable it (whatever that entails  
with the list software in question).

MfG Kai

---

From: [email-masked] (Kai Henningsen)
Date: 24 Aug 1999 09:16:00 +0200

[email-masked] (Robert Elz)  wrote on 22.06.99 in <[email-masked]>:

>     From:        "D. J. Bernstein" <[email-masked]>

>   | often subscribe to different mailing lists under different addresses.
>   | This is simple and reliable; it doesn't matter what software is being
>   | used to run the mailing list.
>
> It is effective only for users who know enough about mailers to
> manage to handle address spaces in that way, which I doubt is the
> majority.

Actually, that is how I've been handling it for a long time. However, it  
turns out that this solution still has some serious problems. I think the  
reason I changed it was an unfortunate interaction with my spam filter,  
which (among other effects) caused the complete DRUMS list to be filed in  
the SPAM folder (the open relay problem).

> And second, it doesn't work very well at all with lists that require
> that messages to the list come from an address which is subscribed
> to the list, unless the user manages to remember to manipulate their
> From: address every time they send to the list (which some MUAs make
> difficult at best).

That's the other serious problem; people forget, and so (for example) post  
with a list-specific address to somewhere else ... and once the list- 
specific address gets out, it will receive spam, too.

Until solutions like List-Id get implemented, there is just no way to win.  
(*No* List I'm on used it last I looked, and that's quite a lot of lists.)

MfG Kai

---

From: [email-masked] (Kai Henningsen)
Date: 24 Aug 1999 09:17:00 +0200

[email-masked] (D. J. Bernstein)  wrote on 22.06.99 in <[email-masked]>:

> Robert Elz writes:
> > require that messages to the list come from an address which is subscribed
>
> That ``feature'' is a disaster. It doesn't work with sublists. It
> doesn't work with newsgroup gateways. It doesn't work with web gateways.
> It doesn't work with external digests. It doesn't work with discussions
> that deliberately include contributors who aren't on the list. And, as
> you noted, it doesn't work with users who have more than one address.

And it's nearly impossible to convince list managers that it's a bad idea,  
or that at the least they should allow registering a separate posting  
address.

MfG Kai